Support i18n

Bug #1411272 reported by Dmitry Tantsur on 2015-01-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ironic Inspector
Fix Released
Medium
Yuiko Takada
Python client for Ironic Inspector
Wishlist
Unassigned

Bug Description

Now all the string go untranslated. Use http://docs.openstack.org/developer/oslo.i18n/usage.html to get i18n.

Changed in ironic-discoverd:
assignee: nobody → Yuiko Takada (takada-yuiko)
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to ironic-discoverd (master)

Fix proposed to branch: master
Review: https://review.openstack.org/156115

Changed in ironic-discoverd:
status: Triaged → In Progress
Revision history for this message
OpenStack Infra (hudson-openstack) wrote :

Fix proposed to branch: master
Review: https://review.openstack.org/156119

Dmitry Tantsur (divius) on 2015-02-16
Changed in ironic-discoverd:
milestone: none → 1.1.0
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to ironic-discoverd (master)

Reviewed: https://review.openstack.org/156104
Committed: https://git.openstack.org/cgit/stackforge/ironic-discoverd/commit/?id=590b109888d10939552e6e34a18f446dde9cb7ce
Submitter: Jenkins
Branch: master

commit 590b109888d10939552e6e34a18f446dde9cb7ce
Author: YuikoTakada <email address hidden>
Date: Mon Feb 16 02:32:10 2015 +0000

    Support i18n

    Currently, log format is not following to oslo.i18n.
    This patch set makes ironic-discoverd possible to use oslo.i18n.

    Change-Id: I623281239cb12abffbeb377ec6f77f8aa9b90c0c
    Partial-Bug: #1411272

Revision history for this message
OpenStack Infra (hudson-openstack) wrote :

Reviewed: https://review.openstack.org/156119
Committed: https://git.openstack.org/cgit/stackforge/ironic-discoverd/commit/?id=827bbcf560810f1971319568482eb5f21a6a5d74
Submitter: Jenkins
Branch: master

commit 827bbcf560810f1971319568482eb5f21a6a5d74
Author: YuikoTakada <email address hidden>
Date: Mon Feb 16 04:30:13 2015 +0000

    Support i18n part3

    Currently, log format is not following to oslo.i18n.
    This patch set fixes log format to oslo.i18n

    Change-Id: If5adfb32c424145d3b4f86a5f7e64a76b56921cc
    Partial-Bug: #1411272

Revision history for this message
OpenStack Infra (hudson-openstack) wrote :

Reviewed: https://review.openstack.org/156115
Committed: https://git.openstack.org/cgit/stackforge/ironic-discoverd/commit/?id=1182e1ea9672506e330f2723ad4016cfa1936907
Submitter: Jenkins
Branch: master

commit 1182e1ea9672506e330f2723ad4016cfa1936907
Author: YuikoTakada <email address hidden>
Date: Mon Feb 16 04:05:49 2015 +0000

    Support i18n part2

    Currently, log format is not following to oslo.i18n.
    This patch set fixes log format to oslo.i18n

    Change-Id: I635bd261b84b2e8897bc93d8d2690f9fce4fbb9d
    Partial-Bug: #1411272

Revision history for this message
OpenStack Infra (hudson-openstack) wrote :

Reviewed: https://review.openstack.org/158981
Committed: https://git.openstack.org/cgit/stackforge/ironic-discoverd/commit/?id=1d2d8dce32a2557b9650b520a7974f9cbac5d6b0
Submitter: Jenkins
Branch: master

commit 1d2d8dce32a2557b9650b520a7974f9cbac5d6b0
Author: YuikoTakada <email address hidden>
Date: Wed Feb 25 04:11:33 2015 +0000

    Add scripts to manage translations

    Refer to:
    https://pythonhosted.org/WebCore/core/intermediate/i18n.html
    https://review.openstack.org/#/c/3888/

    Partial-Bug: #1411272

    Change-Id: Ib3e015a76189e58df82cd793952a792891209bc8

Revision history for this message
Dmitry Tantsur (divius) wrote :

Hi Yuiko! Do you plan on doing anything else for this bug in 1.1 release cycle? Does it need more work at all?

Revision history for this message
Yuiko Takada (takada-yuiko) wrote :

Hi, Dmitry. Currently there is nothing I can do.
Now, just _() messages are supported, and _LW. _LE, _LI messages are not supported, right?
But as you can see https://review.openstack.org/#/c/160610/ , openstack-infra/project-config doesn't support translation job for Stackforge project.

Revision history for this message
Dmitry Tantsur (divius) wrote :

> Now, just _() messages are supported, and _LW. _LE, _LI messages are not supported, right?

Not sure TBH

> openstack-infra/project-config doesn't support translation job for Stackforge project

yeah... anyway, our plans are to move ironic-discoverd under Ironic umbrella eventually, so we'll sort it out later.

I leave this bug opened as a reminder to finish the infrastructure, but will untarget from the release, as there's nothing to do code-wise. Thanks a lot!

Changed in ironic-discoverd:
status: In Progress → Triaged
milestone: 1.1.0 → none
Dmitry Tantsur (divius) on 2015-04-01
Changed in ironic-discoverd:
milestone: none → 1.2.0
Dmitry Tantsur (divius) on 2015-06-23
Changed in python-ironic-inspector-client:
status: New → Triaged
importance: Undecided → Wishlist
Changed in ironic-inspector:
status: Triaged → Fix Committed
Dmitry Tantsur (divius) on 2015-07-09
Changed in ironic-inspector:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers